> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market Data for an Asset

> This endpoint retrieves comprehensive market data for a specific asset, containing both primary market (on-chain token) and underlying market (off-chain stock) information.

Primary market data includes current price, 24-hour price changes, 24-hour historical chart data, and total token holders. Underlying market data provides stock fundamentals like company name, 52-week highs/lows, trading volume, shares outstanding, and market capitalization.

This endpoint is useful for dashboard overviews and market analysis across the entire asset portfolio.

The "Tradable Sessions" parameter indicates the tradability for the asset; for example, some assets are available in the regular and extended stock sessions, but not overnight. Learn more about sessions at [Get Current Market Status](https://docs.ondo.finance/api-reference/status/get-current-market-status).

Prices are intended for display only. For real-time trading prices, use the [Soft Attestation Quote](https://docs.ondo.finance/api-reference/attestations/request-a-soft-attestation-quote) API. We do not recommend using the price feeds as an oracle for these assets. An official oracle is in development and will be documented when available. For questions, contact [support@ondo.finance](mailto:support@ondo.finance).

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/assets/{symbol}/market
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/assets/{symbol}/market:
    get:
      tags:
        - Assets
      summary: Get Market Data for an Asset
      description: >
        This endpoint retrieves comprehensive market data for a specific asset,
        containing both primary market (on-chain token) and underlying market
        (off-chain stock) information.


        Primary market data includes current price, 24-hour price changes,
        24-hour historical chart data, and total token holders. Underlying
        market data provides stock fundamentals like company name, 52-week
        highs/lows, trading volume, shares outstanding, and market
        capitalization.


        This endpoint is useful for dashboard overviews and market analysis
        across the entire asset portfolio.


        The "Tradable Sessions" parameter indicates the tradability for the
        asset; for example, some assets are available in the regular and
        extended stock sessions, but not overnight. Learn more about sessions at
        [Get Current Market
        Status](https://docs.ondo.finance/api-reference/status/get-current-market-status).


        Prices are intended for display only. For real-time trading prices, use
        the [Soft Attestation
        Quote](https://docs.ondo.finance/api-reference/attestations/request-a-soft-attestation-quote)
        API. We do not recommend using the price feeds as an oracle for these
        assets. An official oracle is in development and will be documented when
        available. For questions, contact
        [support@ondo.finance](mailto:support@ondo.finance).


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getMarket
      parameters:
        - name: symbol
          in: path
          description: The GM token symbol
          example: AAPLon
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Market'
              example:
                primaryMarket:
                  symbol: ADBEon
                  price: '361.986667'
                  priceChange24h: '8.76'
                  priceChangePct24h: '2.479993958100564361'
                  priceHistory24h:
                    - timestamp: 1755802800000
                      price: '353.226667'
                    - timestamp: 1755803700000
                      price: '353.216667'
                    - ...
                  totalHolders: 7
                  sharesMultiplier: '1'
                  tradableSessions:
                    - premarket
                    - regular
                    - postmarket
                    - overnight
                underlyingMarket:
                  ticker: ADBE
                  name: Adobe Inc.
                  price: '361.986667'
                  priceHigh52w: '587.75'
                  priceLow52w: '330.04'
                  volume: '1851321'
                  averageVolume: '3610882'
                  sharesOutstanding: '424200000'
                  marketCap: '149925006000'
                timestamp: 1755890061815
        '400':
          description: >-
            One of the request parameters is invalid. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: INVALID_SYMBOL
                    message: >-
                      invalid symbol; must be at least 3 characters long and end
                      with 'on'
                    documentation: https://docs.ondo.finance/api-reference/error-codes
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '404':
          description: >-
            The provided asset symbol does not exist and cannot be found. Please
            see the returned message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      The provided asset symbol does not exist and cannot be
                      found.
                    code: ASSET_NOT_FOUND
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    Market:
      type: object
      properties:
        primaryMarket:
          type: object
          properties:
            symbol:
              type: string
              description: The GM symbol of the asset.
              example: AAPLon
            price:
              type: string
              description: >-
                The current price of the asset, represented as a string-encoded
                decimal with up to 18 digits after the decimal point.
              example: '12.345'
            priceChange24h:
              type: string
              description: The price change in the last 24 hours of open market.
              example: '0.123'
            priceChangePct24h:
              type: string
              description: >-
                The percentage change in price over the last 24 hours of open
                market.
              example: '5.45'
            priceHistory24h:
              type: array
              description: Historical price data for the last 24 hours of open market.
              items:
                type: object
                properties:
                  timestamp:
                    type: number
                    description: >-
                      The Unix timestamp in milliseconds, representing the time
                      of the price data point.
                    example: 1746655938000
                  price:
                    type: string
                    description: The closing price of the token for the interval.
                    example: '12.345678901234567890'
            totalHolders:
              type: number
              description: The total number of holders for the asset
              example: 1234
            sharesMultiplier:
              type: string
              description: >-
                The number of shares each token is equivalent to, represented as
                a string-encoded decimal with up to 18 digits after the decimal
                point.
              example: '1.25'
            tradableSessions:
              type: array
              items:
                type: string
              description: >-
                The trading sessions during which this asset is available for
                trading.
              example:
                - premarket
                - regular
                - postmarket
                - overnight
        underlyingMarket:
          type: object
          properties:
            ticker:
              type: string
              description: The stock ticker associated with the asset.
              example: AAPL
            name:
              type: string
              description: The company's name.
              example: Apple Inc
            price:
              type: string
              description: >-
                The current price of the underlying stock, represented as a
                string-encoded decimal with up to 18 digits after the decimal
                point.
              example: '195.34'
            priceHigh52w:
              type: string
              description: >-
                The highest trading price in the past 52 weeks, represented as a
                string-encoded decimal with up to 18 digits after the decimal
                point.
              example: '259.47'
            priceLow52w:
              type: string
              description: >-
                The lowest trading price in the past 52 weeks, represented as a
                string-encoded decimal with up to 18 digits after the decimal
                point.
              example: '168.99'
            volume:
              type: string
              description: >-
                The total trading volume in the past 24 hours, represented as a
                string-encoded integer.
              example: '43020691'
            averageVolume:
              type: string
              description: >-
                The average trading volume over the past year, represented as a
                string-encoded integer.
              example: '38390632'
            sharesOutstanding:
              type: string
              description: >-
                The total number of shares outstanding, represented as a
                string-encoded integer.
              example: '14935800000'
            marketCap:
              type: string
              description: >-
                The total market capitalization in USD, represented as a
                string-encoded integer.
              example: '2934137946000'
        timestamp:
          type: number
          description: The Unix timestamp in milliseconds when the data was last updated.
          example: 1746655938000
      required:
        - primaryMarket
        - underlyingMarket
        - timestamp
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````